function V_r = GradVandermondeMatrix1D(N,r)

% computes gradient of Vandermonde matrix for further computation of differentiation matrix

N_p = N + 1;
V_r = zeros(N_p);
LegPols = LegendrePolynomialsNormalized(N_p - 1);

for i = 1:N_p
	V_r(:,i) = polyval(polyder(LegPols{i}),r);
end

end